#!/bin/bash
set -euo pipefail
# shellcheck disable=SC1091
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "SERVER" "SERVICE" "TEMP_DIR" \
    "GITEA_RUNNER_DIRECTORY" "ACT_RUNNER_VERSION" \
    "GITEA_URL" "GITEA_TOKEN" "GITEA_RUNNER_NAME" "GITEA_RUNNER_LABELS" \
    "CONTAINER_NAME"


mkdir -p "${GITEA_RUNNER_DIRECTORY}" || _die "Failed to create ${GITEA_RUNNER_DIRECTORY}"

./start.sh || _die "Failed to start"

echo "Installation complete for service ${SERVICE}."
