#!/bin/bash
set -euo pipefail
# shellcheck disable=SC1091
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "SERVER" "SERVICE" "CONTAINER_NAME"

_stop_container "$CONTAINER_NAME" || _die "Failed to stop container ${CONTAINER_NAME}"

echo "Container ${CONTAINER_NAME} stopped"
